IdeaWorkspace (Gradle API 2.14.1)

Package: org.gradle.plugins.ide.idea.model

## [Java] Class IdeaWorkspace

- org.gradle.plugins.ide.idea.model.IdeaWorkspace

- Enables fine-tuning workspace details (*.iws file) of the IDEA plugin.

  At the moment, the only practical way of manipulating the resulting content is via the withXml hook:

       apply plugin: 'java'
       apply plugin: 'idea'

       idea.workspace.iws.withXml { provider ->
           provider.asNode().appendNode('gradleRocks', 'true')
       }

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `XmlFileContentMerger` | `getIws()` Enables advanced manipulation of the output XML.
    `void` | `iws(groovy.lang.Closure closure)` Enables advanced manipulation of the output XML.
    `void` | `mergeXmlWorkspace(Workspace xmlWorkspace)`
    `void` | `setIws(XmlFileContentMerger iws)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class groovy.lang.GroovyObjectSupport` | `groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### public XmlFileContentMerger getIws()

      Enables advanced manipulation of the output XML.

      For example see docs for IdeaWorkspace

    - #### public void iws(groovy.lang.Closure closure)

      Enables advanced manipulation of the output XML.

      For example see docs for IdeaWorkspace

    - #### public void mergeXmlWorkspace(Workspace xmlWorkspace)

    - #### public void setIws(XmlFileContentMerger iws)